summaryrefslogtreecommitdiffstats
path: root/desktop/spectrwm
diff options
context:
space:
mode:
author Daniel LEVAI <leva@ecentrum.hu>2012-02-20 19:50:04 -0600
committer Erik Hanson <erik@slackbuilds.org>2012-03-29 10:16:24 -0500
commita4f63bfd0123dd74e3fba95bc9bd8a51f5defebc (patch)
tree98cc364d0877d17a41e8e43ba9a5b66defc2263d /desktop/spectrwm
parent8cb05e3ad466f9298f9e25291209b1285f7f8301 (diff)
downloadslackbuilds-a4f63bfd0123dd74e3fba95bc9bd8a51f5defebc.tar.gz
slackbuilds-a4f63bfd0123dd74e3fba95bc9bd8a51f5defebc.tar.xz
desktop/spectrwm: Added (small dynamic tiling window manager)
This replaces desktop/scrotwm. Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop/spectrwm')
-rw-r--r--desktop/spectrwm/README9
-rw-r--r--desktop/spectrwm/doinst.sh3
-rw-r--r--desktop/spectrwm/slack-desc19
-rw-r--r--desktop/spectrwm/spectrwm.SlackBuild112
-rw-r--r--desktop/spectrwm/spectrwm.info10
5 files changed, 153 insertions, 0 deletions
diff --git a/desktop/spectrwm/README b/desktop/spectrwm/README
new file mode 100644
index 0000000000..6cd393daa0
--- /dev/null
+++ b/desktop/spectrwm/README
@@ -0,0 +1,9 @@
+Spectrwm is a small dynamic tiling window manager for X11. It tries
+to stay out of the way so that valuable screen real estate can be
+used for much more important stuff. It has sane defaults and does
+not require one to learn a language to do any configuration. It
+was written by hackers for hackers and it strives to be small,
+compact and fast.
+
+This package contains an example spectrwm.conf and shell scripts
+for it.
diff --git a/desktop/spectrwm/doinst.sh b/desktop/spectrwm/doinst.sh
new file mode 100644
index 0000000000..a278a2b159
--- /dev/null
+++ b/desktop/spectrwm/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q
+fi
diff --git a/desktop/spectrwm/slack-desc b/desktop/spectrwm/slack-desc
new file mode 100644
index 0000000000..ede90417d3
--- /dev/null
+++ b/desktop/spectrwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+spectrwm: spectrwm (small dynamic tiling window manager)
+spectrwm:
+spectrwm: Spectrwm is a small dynamic tiling window manager for X11. It tries
+spectrwm: to stay out of the way so that valuable screen real estate can be
+spectrwm: used for much more important stuff. It has sane defaults and does
+spectrwm: not require one to learn a language to do any configuration. It
+spectrwm: was written by hackers for hackers and it strives to be small,
+spectrwm: compact and fast.
+spectrwm:
+spectrwm: Homepage: https://opensource.conformal.com/wiki/spectrwm
+spectrwm:
diff --git a/desktop/spectrwm/spectrwm.SlackBuild b/desktop/spectrwm/spectrwm.SlackBuild
new file mode 100644
index 0000000000..ff43b9723b
--- /dev/null
+++ b/desktop/spectrwm/spectrwm.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Copyright (c) 2011, 2012 Daniel LEVAI
+# All rights reserved.
+#
+# * Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright notice
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=spectrwm
+VERSION=1.0.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ];then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd linux
+ CFLAGS="$SLKCFLAGS" make \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ MANDIR=/usr/man
+ make install \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ MANDIR=/usr/man \
+ DESTDIR=$PKG
+cd ..
+
+strip --strip-unneeded $PKG/usr/bin/spectrwm
+
+# Fixup the manpages
+( cd $PKG/usr/man
+ mkdir -p {es,it,ru,pt}/man1
+ for lang in es it ru pt; do
+ mkdir -p $lang/man1
+ mv man1/spectrwm_$lang.1 $lang/man1/spectrwm.1
+ done
+ find . -type f -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples/
+cp -a spectrwm.conf initscreen.sh baraction.sh screenshot.sh \
+ $PKG/usr/doc/$PRGNAM-$VERSION/examples/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+# desktop integration
+mkdir -m755 -p "${PKG}/usr/share/applications/"
+cp -a linux/spectrwm.desktop "${PKG}/usr/share/applications/"
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/spectrwm/spectrwm.info b/desktop/spectrwm/spectrwm.info
new file mode 100644
index 0000000000..0fafb172c8
--- /dev/null
+++ b/desktop/spectrwm/spectrwm.info
@@ -0,0 +1,10 @@
+PRGNAM="spectrwm"
+VERSION="1.0.0"
+HOMEPAGE="https://opensource.conformal.com/wiki/spectrwm"
+DOWNLOAD="https://opensource.conformal.com/snapshots/spectrwm/spectrwm-1.0.0.tgz"
+MD5SUM="8dd279f53f998c0543fa1ce35a9b4a13"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Daniel LEVAI"
+EMAIL="leva@ecentrum.hu"
+APPROVED="Erik Hanson"